Subject: [Teas] yang-te-mpls wasRe: TEAS WG Document Status Reports

From: tom petch <[email-masked]>
Date: Mon, 4 May 2020 09:45:11 +0000

From: Teas <[email-masked]> on behalf of Tarek Saad <tsaad=[email-masked]>
Sent: 21 April 2020 22:39
Subject: [Teas] TEAS WG Document Status Reports

Some thoughts on yang-te-mpls-03 which may change if MPLS-TP gets added:-)

Abstract mentions RPC Notifications which there do not seem to be

1.2 prefixes
te-mpls I think RFC XXXX better since the RFC Editor will be changing that elsewhere

te-mpls-types I am not familiar with

ietf-mpls-static is imported but not listed.

1.3
would be easier to read as a list
suggest adding ECMP, SPF

2.2 lacks a reference to the Tree diagram RFC

identity tunnel-action
sounds as if there will be an action but I do not see one

augments lack a conditional for mpls-te. admittedly they are to te:te and so not to all and sundry; I am unsure whether this is needed or not

description "foo"
eh?

Figure 3
title seems somewhat overarching

IANA Considerations
URI lacks registrant
module should reference XXXX not the MPLS RFC

Security
out of date lacks RESTCONF TLS etc

I-D References
lacks 4124

Tom Petch

Hi WG,

Below is status reports for the below documents.

Regards,
Tarek (for the document co-authors)

1. draft-ietf-teas-yang-te-23
Current Status:

  *   Version -21 was reviewed by YANG Dr. and received comments

  *   Authors addressed all comments in version -23 (already uploaded).
  *   Team meeting regularly to address open issues – tracked on https://github.com/tsaad-dev/te/issues
  *   Will publish new version -24 before asking for WGLC
Open Issues:
  *   None.
Next Steps:.

  *   Authors will followup with YANG Dr. to make sure no further comments
  *   Will request a Working Group Last Call after completing the above

2. draft-ietf-teas-yang-rsvp-11
Current Status:

  *   Version -10 was reviewed by YANG Dr. and received comments

  *   Authors published version -12 which addressed all outstanding comments
  *   Authors followed up with YANG Dr. reviewer on closing comments
Open Issues:

  *   None
Next Steps:

  *   Proceed to WGLC

3. draft-ietf-teas-yang-rsvp-te-07
Current Status:

  *   Version -07 was reviewed by YANG Dr. and received comments
Open Issues:

  *   Authors working on addressing YANG Dr. comments
Next Steps:

  *   Folllow-up with YANG Dr. reviewer to close on comments
  *   Proceed to WGLC after addressing

4. draft-ietf-teas-yang-te-mpls
Current Status:

  *   Authors discussing augmentation of this module for MPLS-TP
  *   A new module and model is expected
Open Issues:

  *   Close on MPLS-TP modeling
Next Steps:

  *   Publish a new revision
  *   Ask for YANG Dr. review

---

From: tom petch <[email-masked]>
Date: Tue, 5 May 2020 11:12:51 +0000

Hi WG,

Regards,

<tp>
teas-yang-rsvp-12 would benefit from some tweaks
Abstract confused me into thinking that the Extended model was elsewhere - I think that this needs an explicit mention.

Introduction ditto.

Introduction should mention RFC7950 and RESTCONF

Introduction should mention NMDA support

1.3 is wrong
rt-type I am not familiar with but rt-types is in RFC8294
key-chain is RFC8177

2.4 lists two RPC but tree diagram lists three, one of which is authentication but authentication is a feature of extended not base - this confuses me

revision description
should be 'Initial version' in both modules

the rpc should probably be NACM default deny all

IANA Considerations
URI lack registrant contact
prefix are not those used in the modules

Security
alsocontrols

RFC5495 needs adding to I-D References

Tom Petch

  *   None
Next Steps:

  *   Proceed to WGLC

  *   Publish a new revision

---

From: tom petch <[email-masked]>
Date: Tue, 5 May 2020 11:15:11 +0000

And the usual two e-mail DSN for Igor and Xufeng

Tom Petch

________________________________________
From: Teas <[email-masked]> on behalf of tom petch <[email-masked]>
Sent: 05 May 2020 12:12
To: Tarek Saad; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: [Teas] teas-yang-rsvp wasRe: TEAS WG Document Status Reports

Hi WG,

Regards,

<tp>

Introduction ditto.

1.3 is wrong

revision description

IANA Considerations

Security
alsocontrols

Tom Petch

  *   None
Next Steps:

  *   Proceed to WGLC

  *   Publish a new revision

_______________________________________________
Teas mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/teas

---

From: tom petch <[email-masked]>
Date: Wed, 6 May 2020 09:19:46 +0000

Hi WG,

Regards,

  *   None
Next Steps:

  *   Proceed to WGLC

<tp>
Lots!

Tarek, this I-D needs quite a lot of work.

It relies on teas-yang-te and ;has a Normative Reference to -21; but we now have -23 which has turned everything upside down, like all references to p2p-primary-path have gone.  So I am not inclined to review this until this is updated to match -23.

In passing, 1.2 suggests other problems - I know of no te-mpls-types - and IANA Considerations is plain wrong to register rsvp.

Tom Petch
(who thinks he made need a synonym to 

b
e allowed to continue posting to TEAS:-)
  *   Authors working on addressing YANG Dr. comments
Next Steps:

  *   Publish a new revision

---

From: tom petch <[email-masked]>
Date: Thu, 7 May 2020 09:42:51 +0000

Ah, my mistake, I see that there is a -08 which addresses the changes in te-23.  I still get a sense of an unfinished look for this I-D such as 

augments /* to be added*/
empty augments
description XX

On a more detailed note
1.2 ietf-te-mpls-types is not something I am familiar with

2.1 I find the mix of some augments going up and some down confusing.  I find it clearer when augments point upwards

WG Chairs no longer go in contact

revision needs to be initial version when this I-D goes forward, for both modules

message identity I would have thought a better fit with base rsvp even if not used there else having to import rsvp-te when nothing to do with te

rsvp-te-interface-attributes
why does this empty container exist?

IANA Considerations
URI needs registrant contacts
prefix are not those that appear in the modules

Security Considerations is out of date; the current boilerplate includes RESTCONF

RFC2961, RFC3473 are reference by the YANG module but are not in the I-D References

Overall, I find the I-D hard to comprehend, partly because of the (chain of) augments, partly because of groupings within groupings with groupings within  ...

Tom Petch

Sent: 06 May 2020 10:19

Hi WG,

Regards,

  *   None
Next Steps:

  *   Proceed to WGLC

<tp>
Lots!

Tom Petch

b

  *   Publish a new revision